function MissionSelectionGui:_on_audio_clicked()
	local delay = 0.1
	if managers.controller:is_using_controller() then
		delay = 0.2
	end
	self:_stop_mission_briefing_audio()
	managers.queued_tasks:queue("mission_screen_play_operation_intro_video", self._play_raid_video, self, nil, delay, nil)
end

function MissionSelectionGui:_play_raid_video()
	local mission_id = self._selected_job_id
	local potential_videos = nil
	if tweak_data.operations.missions[mission_id] then
		if tweak_data.operations.missions[mission_id].control_brief_video then
			potential_videos = tweak_data.operations.missions[mission_id].control_brief_video
		else
			potential_videos = {"movies/vanilla/operation_briefings/global/03_operation_brief_op-c3_v004"}
		end
	else
		potential_videos = {"movies/vanilla/operation_briefings/global/03_operation_brief_op-c3_v004"}
	end
	local chosen_index = math.random(1, #potential_videos)
	local chosen_video = potential_videos[chosen_index]

	local video_panel_params = {
		is_root_panel = true,
		layer = 100
	}
	self._video_panel = RaidGUIPanel:new(self._full_panel, video_panel_params)
	local video_panel_background_params = {
		layer = 1,
		name = "video_background",
		halign = "scale",
		valign = "scale",
		color = Color.black
	}
	local video_panel_background = self._video_panel:rect(video_panel_background_params)
	local video_params = {
		layer = 2,
		layer = self._video_panel:layer() + 1,
		video = chosen_video,
		width = self._video_panel:w()
	}
	self._control_briefing_video = self._video_panel:video(video_params)

	self._control_briefing_video:set_h(self._video_panel:w() * self._control_briefing_video:video_height() / self._control_briefing_video:video_width())
	self._control_briefing_video:set_center_y(self._video_panel:h() / 2)

	self._playing_briefing_video = true
	local press_any_key_text = managers.controller:is_using_controller() and "press_any_key_to_skip_controller" or "press_any_key_to_skip"
	local press_any_key_params = {
		name = "press_any_key_prompt",
		alpha = 0,
		font = tweak_data.gui:get_font_path(tweak_data.gui.fonts.din_compressed, tweak_data.gui.font_sizes.size_32),
		font_size = tweak_data.gui.font_sizes.size_32,
		text = utf8.to_upper(managers.localization:text(press_any_key_text)),
		color = tweak_data.gui.colors.raid_dirty_white,
		layer = self._control_briefing_video:layer() + 100
	}
	local press_any_key_prompt = self._safe_panel:text(press_any_key_params)
	local _, _, w, h = press_any_key_prompt:text_rect()

	press_any_key_prompt:set_w(w)
	press_any_key_prompt:set_h(h)
	press_any_key_prompt:set_right(self._safe_panel:w() - 50)
	press_any_key_prompt:set_bottom(self._safe_panel:h() - 50)
	press_any_key_prompt:animate(callback(self, self, "_animate_show_press_any_key_prompt"))
	managers.menu_component:post_event("menu_volume_set")
	managers.music:stop()
	self._control_briefing_video:set_selected(true)
	self._root_panel:hide()
	self._root_panel:set_x(-3000)
	self._root_panel:set_y(3000)
	managers.raid_menu:register_on_escape_callback(callback(self, self, "_destroy_operations_intro_video"))
end